web-dev-qa-db-de.com

Angular6 -> Erstellungsfehler

Ich habe meine eckigen 5 Projekte mit dem Befehl erstellt:

ng build --prod --locale=de --base-href /onlineshopNP/de/ -op dist/de

Ich habe mein Projekt auf den Winkel 6 aktualisiert und beim Aufruf des Befehls erhalte ich eine Fehlermeldung wie diese:

Die Schemaüberprüfung ist mit den folgenden Fehlern fehlgeschlagen: Der Datenpfad "" sollte KEINE zusätzlichen Eigenschaften (o) ..__ haben. Fehler: Die Schemaüberprüfung ist mit den folgenden Fehlern fehlgeschlagen: Der Datenpfad "" sollte KEINE zusätzlichen Eigenschaften (o) ..__ haben. at MergeMapSubscriber.registry.compile.pipe.operators_1.concatMap.validatorResult [als Projekt] (C:\Benutzer\martin.kuenz\Documents\Angular\webshop\node_modules\@ angle-devkit\architect\src\architect.js: 218 : 39) at MergeMapSubscriber._tryNext (C:\Benutzer\martin.kuenz\Documents\Angular\webshop\node_modules\@ angle-devkit\architect\node_modules\rxjs\operator\mergeMap.js: 122: 27) at MergeMapSubscriber._next (C:\Benutzer\martin.kuenz\Documents\Angular\webshop\node_modules\@ angle-devkit\architect\node_modules\rxjs\operator\mergeMap.js: 112: 18) at MergeMapSubscriber.Subscriber.next (C:\Benutzer\martin.kuenz\Documents\Angular\webshop\node_modules\@ angle-devkit\architect\node_modules\rxjs\Subscriber.js: 90: 18) at MergeMapSubscriber.notifyNext (C:\Benutzer\martin.kuenz\Documents\Angular\webshop\node_modules\@ angle-devkit\architect\node_modules\rxjs\operator\mergeMap.js: 145: 30) at InnerSubscriber._next (C:\Benutzer\martin.kuenz\Documents\Angular\webshop\node_modules\@ angle-devkit\architect\node_modules\rxjs\InnerSubscriber.js: 23: 21) at InnerSubscriber.Subscriber.next (C:\Benutzer\martin.kuenz\Documents\Angular\webshop\node_modules\@ angle-devkit\architect\node_modules\rxjs\Subscriber.js: 90: 18) at SafeSubscriber .__ tryOrSetError (C:\Benutzer\martin.kuenz\Documents\Angular\webshop\node_modules\@ angle-devkit\core\node_modules\rxjs\Subscriber.js: 248: 16) at SafeSubscriber.next (C:\Benutzer\martin.kuenz\Documents\Angular\webshop\node_modules\@ angle-devkit\core\node_modules\rxjs\Subscriber.js: 188: 27) at MapSubscriber._next (C:\Benutzer\martin.kuenz\Documents\Angular\webshop\node_modules\@ angle-devkit\core\node_modules\rxjs\operator\map.js: 85: 26)

Kann mir jemand helfen?

Vielen Dank

10
StoRm Tec

Erstellen Sie ein aktuelles ng-Projekt mit dem neuesten angle-cli und vergleichen Sie angle.json mit dem Projekt. Angle.json .

1
Pradeep Raj

Beim Update von Version 5 auf Version 6 ist ein ähnliches Problem aufgetreten. Versuchen Sie es mit 

https://update.angular.io/

Dies ist ein Dienstprogramm zum Definieren von Migrationsschritten. Ich hoffe, es hilft.

0
xcesco

Es scheint, dass RxJS ein Problem verursacht. Können Sie Rxjs-compat installieren und überprüfen

0
Vivek Kumar